/* Extra CSS for Tarjouspyyntö. Most of it is in /css/style.css */

#slidebutton_result {
    display: none !important;
}

#main-content #mittaosio p {
    margin-top: 15px;
}

#main-content #mittaosio summary {
    display: list-item;
    cursor: pointer;
}

#main-content #mittaosio details {
    scroll-margin-top: 80px;
}

#main-content #mittaosio #details h3 {
    padding: 0px;
    padding-left: 5px;
    display: inline;
    font-size: 22px;
}

#main-content #mittaosio details[open] summary {
    margin-bottom: 10px;
}

#saunatiedot .input-container .boxed {
    width: auto;
}
#main-content #mittaosio .tp-form .boxed input {
    width: stretch;
}

#main-content .tp-form .boxed.wide{
    box-sizing: border-box;
}

#saunatiedot .input-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
}

#main-content div#stick {
    padding-top: 0px !important;
}

#main-content #mittaosio hr {
    margin-top: 10px;
    margin-bottom: 10px;
}

#mittaosio-jatka {
    margin-top: 5rem;
}

@media only screen and (max-width: 1200px) {


    #main-content div#result-container {
        position: static !important;
        padding-top: 0px !important;
        overflow: hidden;
        height: 90vw;
    }

    #main-content #result-container .break {
        display: none;
    }

    #main-content div#result {
        margin-bottom: 75px !important;
        margin-top: 75px !important;
    }

    #main-content #mittaosio p {
        margin-bottom: 5px;
        margin-top: 5px;
    }

    #mittaosio #saunatiedot .boxed {
        display: flex !important;
        flex-direction: row;
        min-height: unset !important;
    }

    #mittaosio #saunatiedot .boxed>* {
        flex-basis: 50%;
        height: fit-content;
        margin-bottom: 0px !important;
    }

    #mittaosio-jatka {
        margin-top: 0px;
    }




}

@media only screen and (max-width: 650px) {
    #main-content div#result {
        transform: scale(calc(100vw / 690px)) translateY(min(calc(100vw - 550px), 0px));
        left: calc(max(calc(420px - 100vw), 0px) * -0.5)
    }

    #saunatiedot .input-container {
        grid-template-columns: repeat(1, 1fr);
        gap: 5px;
    }
}